
/**********************************************************************

  ASXX.H

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Please note that the GPL allows you to use the driver, NOT the radio.
  In order to use the radio, you need a license from the communications
  authority of your country.

 **********************************************************************/

#define ASXX_RESERVED (0)
#define ASXX_SETCFG   (1)        // Set configuration
#define ASXX_GETCFG   (2)        // Get configuration

#define ASXX_IOBASE   (1 << 0)
#define ASXX_IRQ      (1 << 1)
#define ASXX_BAUDRATE (1 << 2)   // Baudrate of rs232 port
#define ASXX_CRCTYPE  (1 << 3)   // 0 = SMACK, 1 = RMNC
#define ASXX_BITRATE  (1 << 4)   // Bitrate of modem
#define ASXX_TXDELAY  (1 << 5)   // Tx Delay (ms)
#define ASXX_TXTAIL   (1 << 6)   // Tx Tail  (ms)
#define ASXX_PERSIST  (1 << 7)   // Persist  (ms)
#define ASXX_SLOTTIME (1 << 8)   // Slottime (ms)

#define ASXX_MAXBAUDRATE 115200
#define ASXX_MAXCRCTYPE  1
#define ASXX_MAXTXDELAY  2100    // ms
#define ASXX_MAXTXTAIL   2100    // ms
#define ASXX_MAXSLOTTIME 999
#define ASXX_MAXPERSIST  255

struct asxxcfg
       {
         unsigned int mask;      // Mask of commands
         unsigned int iobase;    // IO Base of COM port
         unsigned int irq;       // IRQ of COM port
         unsigned int baudrate;  // Baudrate of the RS232 port
         unsigned int crctype;   // CRCtype 0 = SMACK, 1 = RMNC

         unsigned int bitrate;   // Bitrate of modem
         unsigned int txdelay;   // TxDelay
         unsigned int txtail;    // TxTail

         unsigned int ppersist;  // Persistence
         unsigned int slottime;
       };

struct asxxdrv_ioctl_cfg
       {
         int cmd;
         int bitrate;
         struct asxxcfg cfg;
       };
